Subject: Re: bug#9579: distcheck does not detect incomplete uninstall as advertised

From: Nick Bowler <[email-masked]>
Date: Mon, 26 Sep 2011 15:06:47 -0400

Hi Stefano,

On 2011-09-23 21:46 +0200, Stefano Lattarini wrote:
> Apparently, it was a simple bug.  Attached is the patch I'll push to maint
> in a couple of days to fix it.  As usual, reviews welcome.
> 
> Thanks,
>   Stefano

> From 26b2e20c1369e11f696cf6c92888603a36a7cecc Mon Sep 17 00:00:00 2001
> Message-Id: <26b2e20c1[email-masked]>
> From: Stefano Lattarini <[email-masked]>
> Date: Fri, 23 Sep 2011 16:06:59 +0200
> Subject: [PATCH] distuninstallcheck: fail also when only one file is left installed

I've tested this on my project, and now distcheck fails when I revert my
uninstall-local rule.  It's perhaps a bit unfortunate that

  make infodir='${prefix}/somewhere_else' distcheck

no longer works, but I agree that it seems non-trivial to make that
work properly.

Thanks,
-- 
Nick Bowler, Elliptic Technologies (http://www.elliptictech.com/)